--- title: "getCloudMysqlTargetSubnetList" slug: "database-vmysql-getcloudmysqltargetsubnetlist" updated: 2026-09-17T10:05:51Z published: 2026-09-17T10:05:51Z canonical: "api.ncloud-docs.com/database-vmysql-getcloudmysqltargetsubnetlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getCloudMysqlTargetSubnetList Available in VPC Get the list of subnets available to use in Cloud DB for MySQL. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET \| POST | /vmysql/v2/getCloudMysqlTargetSubnetList | ### Request headers For headers common to all Cloud DB for MySQL (VPC) APIs, see [Cloud DB for MySQL (VPC) request headers](/docs/en/database-vmysql#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - Region code of the subnet to view - Check through [getRegionList](/docs/en/compute-vserver-server-common-getregionlist) - First Region of the `getRegionList` query result (default) | | `vpcNo` | String | Required | Filter by VPC number - Check through the [getCloudMysqlTargetVpcList](/docs/en/database-vmysql-getcloudmysqltargetvpclist) action | | `cloudMysqlImageProductCode` | String | Required | Filter by Cloud DB for MySQL image product code - Check through [getCloudMysqlImageProductList](/docs/en/database-vmysql-getcloudmysqlimageproductlist) | | `isPublic` | Boolean | Optional | Filter by public subnet status - `true` \| `false` | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | ### Request example The following is a sample request. ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vmysql/v2/getCloudMysqlTargetSubnetList ?regionCode=KR &vpcNo=****83 &cloudMysqlImageProductCode=SW.VDBAS.DBAAS.LNX64.CNTOS.0708.MYSQL.8018.B050' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response body See [TargetSubnetList](/docs/en/common-vapidatatype-targetsubnetlist) for the response body. ### Response status codes For information about the HTTP status codes common to all Cloud DB for MySQL (VPC) APIs, see [Cloud DB for MySQL (VPC) response status codes](/docs/en/database-vmysql#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. - If `responseFormatType=json` ``` { "getCloudMysqlTargetSubnetListResponse": { "totalRows": 3, "targetSubnetList": [ { "subnetNo": "****91", "subnetName": "test-***", "vpcNo": "****83", "vpcName": "test-***", "zoneCode": "KR-1", "subnet": "192.168.*.0/28", "isPublic": true, "createdDate": "2024-06-03T08:53:40+0900" }, { "subnetNo": "****93", "subnetName": "test-***", "vpcNo": "****83", "vpcName": "test-***", "zoneCode": "KR-2", "subnet": "192.168.*.0/24", "isPublic": true, "createdDate": "2022-03-30T10:01:13+0900" } ], "requestId": "b9cf9a98-****-****-****-ba0d20cf0567", "returnCode": "0", "returnMessage": "success" } } ``` - If `responseFormatType=xml` (default) ``` b9cf9a98-****-****-****-ba0d20cf0567 0 success 3 ****83 test-*** ****83 test-*** KR-1 192.168.*.0/28 true 2024-06-03T08:53:40+0900 ****93 test-*** ****83 test-*** KR-2 192.168.*.0/24 true 2022-03-30T10:01:13+0900 ```